Debian Bug report logs - #487629
keytouch blocks logout

version graph

Package: keytouch; Maintainer for keytouch is Luke Cycon <lcycon@gmail.com>;

Reported by: Laurent Grawet <packages@grawet.be>

Date: Mon, 23 Jun 2008 09:18:01 UTC

Severity: grave

Found in version keytouch/2.3.2-2

Fixed in version keytouch/2.3.2-2.1

Done: Bernd Schubert <bernd-schubert@gmx.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#487629; Package keytouch. Full text and rfc822 format available.

Acknowledgement sent to Laurent Grawet <packages@grawet.be>:
New Bug report received and forwarded. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Laurent Grawet <packages@grawet.be>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: keytouch blocks logout
Date: Mon, 23 Jun 2008 10:46:50 +0200
Package: keytouch
Version: 2.3.2-2
Severity: grave
Justification: renders package unusable

Unable to complete logout/shutdown/restart sequence with keytouch. I have to
kill keytouchd manually from another term to make the logout process continue. The bug has triggered this weekend after running some updates (maybe xserver-xorg-core 2:1.4.1~git20080517-2~lenny1 ? )
I temporary removed keytouch package from my system to fix the problem.

This is the same bug as #186713 on launchpad.
https://bugs.launchpad.net/debian/+source/keytouch/+bug/186713

The author (Marvin Raaijmakers) proposed a fix on the launchpad page :
"I found the cause of this problem. While trying to do a clean exit, keytouchd does a call to XCloseDisplay. The problem is that, surprisingly, the program does not return from the XCloseDisplay call and thus doesn't exit. I think can this be described as unexpected behavior of XCloseDisplay, because as far as I know XCloseDisplay should allways return. A work around is to comment out the call to XCloseDisplay in keytouchd/main.c."

Regards,

Laurent


-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/2 CPU cores)
Locale: LANG=fr_BE.UTF-8, LC_CTYPE=fr_BE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#487629; Package keytouch. Full text and rfc822 format available.

Acknowledgement sent to "Javier Ortega Conde (Malkavian)" <malkavian666@gmail.com>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. Full text and rfc822 format available.

Message #10 received at 487629@bugs.debian.org (full text, mbox):

From: "Javier Ortega Conde (Malkavian)" <malkavian666@gmail.com>
To: 487629@bugs.debian.org
Subject: Re: keytouch blocks logout
Date: Mon, 7 Jul 2008 17:28:15 +0200
Same error in my debian testing.

If I do      killall -9 keytouchd    then logout continues correctly.

-- 
        Bye: Javier Ortega Conde (Malkavian)
-------------------------------------------------------------------------
The Malkavian's webpage: Many things	 http://malkavian.homelinux.org







Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#487629; Package keytouch. Full text and rfc822 format available.

Acknowledgement sent to "Ben E. Hard" <bve@gmx.de>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. Full text and rfc822 format available.

Message #15 received at 487629@bugs.debian.org (full text, mbox):

From: "Ben E. Hard" <bve@gmx.de>
To: 487629@bugs.debian.org
Subject: Re: keytouch blocks logout
Date: Wed, 16 Jul 2008 09:44:56 +0200
According to the keytouch-sourceforge-page, this should be fixed in the latest 
version of keytouch. So I recommend fast updating of keytouch!




Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#487629; Package keytouch. Full text and rfc822 format available.

Acknowledgement sent to "Javier Ortega Conde (Malkavian)" <malkavian666@gmail.com>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. Full text and rfc822 format available.

Message #20 received at 487629@bugs.debian.org (full text, mbox):

From: "Javier Ortega Conde (Malkavian)" <malkavian666@gmail.com>
To: 487629@bugs.debian.org
Subject: Re: keytouch blocks logout
Date: Fri, 18 Jul 2008 23:49:25 +0200
Yeah!, these are first lines from keytouch changelog:

Version 2.4.0:
- Updated kernel keycode to X keycode mapping.
- Updated translations.
* keytouchd:
 - XCloseDisplay is not called anymore, because on some systems it may not 
return from this call.




Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#487629; Package keytouch. Full text and rfc822 format available.

Acknowledgement sent to rgallardo@google.com (Rodrigo Gallardo):
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. Full text and rfc822 format available.

Message #25 received at 487629@bugs.debian.org (full text, mbox):

From: rgallardo@google.com (Rodrigo Gallardo)
To: "Javier Ortega Conde (Malkavian)" <malkavian666@gmail.com>, 487629@bugs.debian.org
Subject: Re: Bug#487629: keytouch blocks logout
Date: Fri, 18 Jul 2008 16:43:24 -0700
On Fri, Jul 18, 2008 at 11:49:25PM +0200, Javier Ortega Conde (Malkavian) wrote:
> Yeah!, these are first lines from keytouch changelog:
> 
> Version 2.4.0:
> - Updated kernel keycode to X keycode mapping.
> - Updated translations.
> * keytouchd:
>  - XCloseDisplay is not called anymore, because on some systems it may not 
> return from this call.

Sorry, everyone, I have been extremely busy lately *and* without
internet access at home. If someone is able to create an updated package
you have my blessing to upload it as an NMU.

Otherwise, you'll just have to wait for me to get a little time off my
day job, in a couple weeks.





Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#487629; Package keytouch. Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. Full text and rfc822 format available.

Message #30 received at 487629@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 487629@bugs.debian.org
Cc: "Javier Ortega Conde (Malkavian)" <malkavian666@gmail.com>, "Ben E. Hard" <bve@gmx.de>
Subject: Unable to reproduce
Date: Thu, 21 Aug 2008 19:43:28 +0100
[Message part 1 (text/plain, inline)]
I have done a little checking for this bug, here's the summary:

1. $ keytouch-2.3.2/ uscan
   $ keytouch-2.3.2/ uupdate
works fine.

2. keytouch-2.3.2/debian/patches/10_do_not_install_init_scripts.dpatch
needs to be tweaked to allow it to apply. (Modified version attached.)
The package then builds cleanly.

3. The new upstream version includes new files:  
debdiff keytouch_2.3.2-2_amd64.changes keytouch_2.4.1-1.1_amd64.changes 
[The following lists of changes regard files as different if they have
different names, permissions or owners.]

Files in second .changes but not in first
-----------------------------------------
-rw-r--r--  root/root   /etc/X11/Xsession.d/92keytouchd_launch
-rw-r--r--  root/root   /usr/share/keytouch/keyboards/S510 remote.Logitech
-rw-r--r--  root/root   /usr/share/locale/fi/LC_MESSAGES/keytouch.mo
-rw-r--r--  root/root   /usr/share/locale/hu/LC_MESSAGES/keytouch-keyboard-bin.mo
-rw-r--r--  root/root   /usr/share/locale/hu/LC_MESSAGES/keytouch.mo
-rw-r--r--  root/root   /usr/share/locale/sk/LC_MESSAGES/keytouch-keyboard-bin.mo
-rw-r--r--  root/root   /usr/share/locale/sk/LC_MESSAGES/keytouch.mo
-rw-r--r--  root/root   /usr/share/locale/zh_CN/LC_MESSAGES/keytouch-keyboard-bin.mo
-rw-r--r--  root/root   /usr/share/locale/zh_CN/LC_MESSAGES/keytouch.mo

Control files of package keytouch: lines which differ (wdiff format)
--------------------------------------------------------------------
Depends: libasound2 (>> 1.0.16), libatk1.0-0 (>= 1.20.0), libc6 (>= 2.7-1), libglib2.0-0 (>= 2.16.0), libgnome-menu2 (>= 2.15.4), libgtk2.0-0 (>= 2.12.0), libx11-6, libxtst6, keytouch-data (= [-2.3.2-2)-] {+2.4.1-1.1)+}
Installed-Size: [-796-] {+896+}
Version: [-2.3.2-2-] {+2.4.1-1.1+}

Control files of package keytouch-data: lines which differ (wdiff format)
-------------------------------------------------------------------------
Installed-Size: [-1596-] {+1616+}
Version: [-2.3.2-2-] {+2.4.1-1.1+}

I'd have to check with debian-release to see if that is a suitable fix
for a freeze exception.

HOWEVER:

4. I cannot test whether the new package fixes the problem because I'm
unable to demonstrate the original problem. With keytouch installed and
started, I am able to logout without problems (on amd64). Maybe my setup
simply doesn't support what keytouch needs - the existing version in
Debian does not show up in 'ps waux', let alone the new version.

I have uploaded the new upstream release to my test repository:
http://linux.codehelp.co.uk/packages/pool/main/k/keytouch/

deb http://www.linux.codehelp.co.uk/packages unstable main
deb-src http://www.linux.codehelp.co.uk/packages unstable main

Maybe someone who experienced the original problem can do two things:
First, re-verify that this bug exists in the version in Debian.
Second, verify whether the new upstream version works AND fixes the bug.

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/


[10_do_not_install_init_scripts.dpatch (application/x-shellscript, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: moreinfo Request was from "Neil Williams" <neil@codehelp.co.uk> to control@bugs.debian.org. (Thu, 21 Aug 2008 18:54:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#487629; Package keytouch. Full text and rfc822 format available.

Acknowledgement sent to Bernd Schubert <bernd.schubert@fastmail.fm>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. Full text and rfc822 format available.

Message #37 received at 487629@bugs.debian.org (full text, mbox):

From: Bernd Schubert <bernd.schubert@fastmail.fm>
To: Neil Williams <codehelp@debian.org>
Cc: 487629@bugs.debian.org, "Javier Ortega Conde (Malkavian)" <malkavian666@gmail.com>, "Ben E. Hard" <bve@gmx.de>
Subject: Unable to reproduce
Date: Fri, 22 Aug 2008 17:53:45 +0200
Hello Neil,

I already uploaded a fixed version to mentors.debian.net, which only fixes
 this bug and therefore should be o.k. as freeze exception.

Unfortunately, I'm only a package maintainer without any upload rights.
Would be great if you could do that for me.


The package can be found on mentors.debian.net:
- URL: http://mentors.debian.net/debian/pool/main/k/keytouch
- Source repository: deb-src http://mentors.debian.net/debian unstable main contrib non-free
- dget http://mentors.debian.net/debian/pool/main/k/keytouch/keytouch_2.3.2-2.1.dsc



Thanks,
Bernd





Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#487629; Package keytouch. Full text and rfc822 format available.

Acknowledgement sent to Bernd Schubert <bernd.schubert@fastmail.fm>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. Full text and rfc822 format available.

Message #42 received at 487629@bugs.debian.org (full text, mbox):

From: Bernd Schubert <bernd.schubert@fastmail.fm>
To: 487629@bugs.debian.org
Subject: further bugfix information
Date: Sun, 24 Aug 2008 22:47:10 +0200
Neil asked me to send futher information about the bug fix, so here it is.

1) Way to reproduce: No idea what needs to be done to trigger this bug, I only 
know that after I installed keytouch log-out and system shutdown from KDE 
didn't work anymore. 

2) Killing keytouchd is one possibility to workaround this bug.

3) Once I figured out keytouchd was the reason for my shutdown problem, I 
searched a bit and came across the ubuntu bugreport. The upstream author 
there describes the cause of the problem:

https://bugs.launchpad.net/debian/+source/keytouch/+bug/186713/comments/53

4) So I went ahead and added this patch (as backport from new upstream 2.4.1) 
to the debian package and uploaded the new package, with *only* this 
additional patch to mentors.debian.net


#! /bin/sh /usr/share/dpatch/dpatch-run
## 25_XCloseDisplay.dpatch by <bernd.schubert@fastmail.fm>
##
## DP: Backport from 2.4.0, allow proper X-session shutdown

@DPATCH@
diff -urNad keytouch-2.3.2~/keytouchd/main.c keytouch-2.3.2/keytouchd/main.c
--- keytouch-2.3.2~/keytouchd/main.c	2008-08-20 22:15:57.000000000 +0200
+++ keytouch-2.3.2/keytouchd/main.c	2008-08-20 22:16:53.587173950 +0200
@@ -168,7 +168,7 @@
 	XmlFree (user_preferences.browser);
 	XmlFree (user_preferences.email_program);
 	XmlFree (user_preferences.chat_program);
-	XCloseDisplay (display);
+	/* XCloseDisplay (display); This may prevent keytouchd from terminating */
 	
 	exit (EXIT_SUCCESS);
 }


5) Before I uploaded the new package to mentors, I also checked several times, 
that this patch indeed fixes the problem.


6) Interdiff output

bernd@bathl keytouch>interdiff -z keytouch_2.3.2-2.diff.gz 
keytouch_2.3.2-2.1.diff.gz
diff -u keytouch-2.3.2/debian/patches/00list 
keytouch-2.3.2/debian/patches/00list    
--- keytouch-2.3.2/debian/patches/00list                                             
+++ keytouch-2.3.2/debian/patches/00list                                             
@@ -3,0 +4 @@                                                                        
+25_XCloseDisplay.dpatch                                                             
diff -u keytouch-2.3.2/debian/changelog keytouch-2.3.2/debian/changelog              
--- keytouch-2.3.2/debian/changelog                                                  
+++ keytouch-2.3.2/debian/changelog                                                  
@@ -1,3 +1,11 @@                                                                     
+keytouch (2.3.2-2.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * fix xsession shutdown problem
+  * (closes: #487629)
+
+ -- Bernd Schubert <bernd-schubert@gmx.de>  Wed, 20 Aug 2008 22:24:27 +0200
+
 keytouch (2.3.2-2) unstable; urgency=low

   * Vcs-* fields no longer need XS- prefix.
only in patch2:
unchanged:
--- keytouch-2.3.2.orig/debian/patches/25_XCloseDisplay.dpatch
+++ keytouch-2.3.2/debian/patches/25_XCloseDisplay.dpatch
@@ -0,0 +1,18 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 25_XCloseDisplay.dpatch by <bernd.schubert@fastmail.fm>
+##
+## DP: Backport from 2.4.0, allow proper X-session shutdown
+
+@DPATCH@
+diff -urNad keytouch-2.3.2~/keytouchd/main.c keytouch-2.3.2/keytouchd/main.c
+--- keytouch-2.3.2~/keytouchd/main.c   2008-08-20 22:15:57.000000000 +0200
++++ keytouch-2.3.2/keytouchd/main.c    2008-08-20 22:16:53.587173950 +0200
+@@ -168,7 +168,7 @@
+       XmlFree (user_preferences.browser);
+       XmlFree (user_preferences.email_program);
+       XmlFree (user_preferences.chat_program);
+-      XCloseDisplay (display);
++      /* XCloseDisplay (display); This may prevent keytouchd from 
terminating */
+
+       exit (EXIT_SUCCESS);
+ }




Information forwarded to debian-bugs-dist@lists.debian.org, Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>:
Bug#487629; Package keytouch. Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>. Full text and rfc822 format available.

Message #47 received at 487629@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: control@bugs.debian.org
Cc: 487629@bugs.debian.org
Subject: setting package to keytouch keytouch-data, tagging 487629
Date: Thu, 28 Aug 2008 16:28:32 +0100
# Automatically generated email from bts, devscripts version 2.10.35
# via tagpending 
#
# keytouch (2.3.2-2.1) unstable; urgency=low
#
#  * (closes: #487629) 

package keytouch keytouch-data
tags 487629 + pending





Tags added: pending Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Thu, 28 Aug 2008 15:30:07 GMT) Full text and rfc822 format available.

Tags removed: moreinfo Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Thu, 28 Aug 2008 15:30:14 GMT) Full text and rfc822 format available.

Reply sent to Bernd Schubert <bernd-schubert@gmx.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Laurent Grawet <packages@grawet.be>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #56 received at 487629-close@bugs.debian.org (full text, mbox):

From: Bernd Schubert <bernd-schubert@gmx.de>
To: 487629-close@bugs.debian.org
Subject: Bug#487629: fixed in keytouch 2.3.2-2.1
Date: Thu, 28 Aug 2008 15:47:03 +0000
Source: keytouch
Source-Version: 2.3.2-2.1

We believe that the bug you reported is fixed in the latest version of
keytouch, which is due to be installed in the Debian FTP archive:

keytouch-data_2.3.2-2.1_all.deb
  to pool/main/k/keytouch/keytouch-data_2.3.2-2.1_all.deb
keytouch_2.3.2-2.1.diff.gz
  to pool/main/k/keytouch/keytouch_2.3.2-2.1.diff.gz
keytouch_2.3.2-2.1.dsc
  to pool/main/k/keytouch/keytouch_2.3.2-2.1.dsc
keytouch_2.3.2-2.1_amd64.deb
  to pool/main/k/keytouch/keytouch_2.3.2-2.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 487629@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bernd Schubert <bernd-schubert@gmx.de> (supplier of updated keytouch package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 20 Aug 2008 22:24:27 +0200
Source: keytouch
Binary: keytouch keytouch-data
Architecture: source all amd64
Version: 2.3.2-2.1
Distribution: unstable
Urgency: low
Maintainer: Luis Rodrigo Gallardo Cruz <rodrigo@debian.org>
Changed-By: Bernd Schubert <bernd-schubert@gmx.de>
Description: 
 keytouch   - A program to configure extra function keys in multimedia keyboard
 keytouch-data - keyboard definition files and documentation for keytouch
Closes: 487629
Changes: 
 keytouch (2.3.2-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * fix xsession shutdown problem
   * (closes: #487629)
Checksums-Sha1: 
 927291d7b9283d1a02f01c9967655f22def345c2 1320 keytouch_2.3.2-2.1.dsc
 12d6646e2e955b8a18faa14cabb2d6f3b887bce5 11338 keytouch_2.3.2-2.1.diff.gz
 de4ad1aaaa8df51e7bcaa48a4a35a197e24b4ab2 290806 keytouch-data_2.3.2-2.1_all.deb
 ff3c36122648ecc2de19b97f6510ce4093af612d 174166 keytouch_2.3.2-2.1_amd64.deb
Checksums-Sha256: 
 65a95742e73aeae556f5069fce54f3a7168aba6082331fd4229f7f52949172fd 1320 keytouch_2.3.2-2.1.dsc
 e6a116c3fc3114ae5e4caf9d2ce2908e75afdff49c86eab8da4a3be086441c71 11338 keytouch_2.3.2-2.1.diff.gz
 41dd8fc299dd4d749b24cd1b40ab61791d24ba7558b1cfafc2b8e62162837c9d 290806 keytouch-data_2.3.2-2.1_all.deb
 79eef72ee89a3e5c659676b6dee8be248f3e3a69466ea05933211c4beb662a07 174166 keytouch_2.3.2-2.1_amd64.deb
Files: 
 278eff7ae8e29afd5b6a0574e37b1bda 1320 admin optional keytouch_2.3.2-2.1.dsc
 b6486d4289703e07801ad56a957a6550 11338 admin optional keytouch_2.3.2-2.1.diff.gz
 aa99bf11b7ccf500f435336b30b345cd 290806 admin optional keytouch-data_2.3.2-2.1_all.deb
 90ac7cbb748e9ccc12f5d9f78d210718 174166 admin optional keytouch_2.3.2-2.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAki2xR8ACgkQiAEJSii8s+PGvgCgo5YuuDpcW2eVYe5LL6q+NTD1
VvEAoLMHi3nMuDoxs1lfJMnVpLV9ZZno
=r8Kd
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 07 Oct 2008 07:28:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 02:20:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.